import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class GUI {
  private JButton menschhandeltButton;
  private JPanel myPanel;
  private JButton trinkenButton;
  private JButton nimmFlascheButton;
  private JButton oeffneFlascheButton;
  private JTextArea textArea1;
  private JScrollPane scroll;
  private Mensch mensch = new Mensch(this);

  public GUI(){
    menschhandeltButton.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent e) {
        mensch.handelt();
      }
    });
    trinkenButton.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent e) {
        mensch.trinken(20);
        mensch.infoFlasche();
      }
    });
    nimmFlascheButton.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent e) {
        mensch.nimmFlasche();
      }
    });
    oeffneFlascheButton.addActionListener(new ActionListener() {
      @Override
      public void actionPerformed(ActionEvent e) {
        mensch.oeffneFlasche();
      }
    });
  }
  public void ausgeben(String s){
    textArea1.append(s+"\n");
  }
  public static void main(String[] args) {
    JFrame myFrame = new JFrame("Menschwelt");
    myFrame.setContentPane(new GUI().myPanel);
    myFrame.setSize(500,500);
    myFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    myFrame.setVisible(true);
  }
}